package com.ruoyi.cai.enums;

import lombok.Getter;

@Getter
public enum AccountBusinessEnum {

    // 用户端
    A1("101","紫贝充值","增加充值的紫贝"),
    A2("102","注册奖励","增加充值的紫贝"),
    A3("103","首充奖励","增加充值的紫贝"),
    A4("104","送出礼物","扣除紫贝"),
    A5("105","送出守护","扣除紫贝"),
    A6("106","视频支出","扣除紫贝"),
    A7("106","聊天支出","扣除紫贝"),
    A8("108","提现","扣除收益的紫贝"),

    // 主播端
    B1("201","收到礼物","增加收益的紫贝"),
    B2("202","收到守护","增加收益的紫贝"),
    B3("203","视频收入","增加收益的紫贝"),

    // 分销
    C1("301","充值分成","增加收益的紫贝"),
    C2("301","礼物分成","增加收益的紫贝"),
    C3("301","守护分成","增加收益的紫贝"),
    C4("301","视频分成","增加收益的紫贝"),

    // 工会
    D1("401","礼物工会分成","增加收益的紫贝"),
    D2("401","守护工会分成","增加收益的紫贝"),
    D3("401","视频工会分成","增加收益的紫贝"),

    // 系统
    Z1("1001","系统调账","系统调账"),
    ;

    private final String code;
    private final String name;
    private final String desc;

    AccountBusinessEnum(String code, String name, String desc) {
        this.code = code;
        this.name = name;
        this.desc = desc;
    }
}
